export default {
  default_locale: "en",
  title: "Discourse",
  short_site_description: "",
  exclude_rel_nofollow_domains: "",
  logo: "/images/discourse-logo-sketch.png",
  logo_small: "/images/discourse-logo-sketch-small.png",
  digest_logo: "",
  mobile_logo: "",
  logo_dark: "",
  logo_small_dark: "",
  mobile_logo_dark: "",
  large_icon: "",
  favicon: "",
  apple_touch_icon: "",
  display_local_time_in_user_card: false,
  allow_user_locale: false,
  set_locale_from_accept_language_header: false,
  support_mixed_text_direction: false,
  suggested_topics: 5,
  ga_universal_tracking_code: "",
  ga_universal_domain_name: "auto",
  gtm_container_id: "",
  top_menu: "categories|latest",
  post_menu: "read|like|share|flag|edit|bookmark|delete|admin|reply",
  post_menu_hidden_items: "flag|bookmark|edit|delete|admin",
  share_links: "twitter|facebook|email",
  share_quote_visibility: "anonymous",
  share_quote_buttons: "twitter|email",
  desktop_category_page_style: "categories_and_latest_topics",
  category_colors:
    "BF1E2E|F1592A|F7941D|9EB83B|3AB54A|12A89D|25AAE2|0E76BD|652D90|92278F|ED207B|8C6238|231F20|808281|B3B5B4|E45735",
  category_style: "bullet",
  max_category_nesting: 2,
  enable_mobile_theme: true,
  enable_direct_s3_uploads: false,
  enable_upload_debug_mode: false,
  default_dark_mode_color_scheme_id: 1,
  relative_date_duration: 30,
  fixed_category_positions: false,
  fixed_category_positions_on_create: false,
  enable_badges: true,
  enable_badge_sql: true,
  max_favorite_badges: 2,
  enable_whispers: false,
  enable_bookmarks_with_reminders: true,
  push_notifications_prompt: true,
  vapid_public_key_bytes:
    "4|29|219|88|202|66|198|62|182|204|66|176|229|200|131|26|141|21|178|231|150|161|2|128|228|200|179|126|118|232|196|19|232|76|108|189|54|211|210|155|55|228|173|112|38|158|114|127|18|95|7|56|110|183|192|92|43|0|243|249|233|89|9|207|255",
  invite_only: false,
  login_required: false,
  must_approve_users: false,
  enable_local_logins: true,
  enable_local_logins_via_email: true,
  allow_new_registrations: true,
  enable_signup_cta: true,
  facebook_app_id: "",
  auth_skip_create_confirm: false,
  auth_overrides_email: false,
  enable_discourse_connect: true,
  discourse_connect_overrides_avatar: false,
  hide_email_address_taken: false,
  min_username_length: 3,
  max_username_length: 20,
  unicode_usernames: false,
  min_password_length: 10,
  min_admin_password_length: 15,
  email_editable: true,
  logout_redirect: "",
  full_name_required: false,
  enable_names: true,
  invite_expiry_days: 90,
  invites_per_page: 40,
  delete_user_max_post_age: 60,
  delete_all_posts_max: 15,
  prioritize_username_in_ux: true,
  enable_user_directory: true,
  allow_anonymous_posting: false,
  anonymous_posting_min_trust_level: 1,
  allow_users_to_hide_profile: true,
  hide_user_profiles_from_public: false,
  allow_featured_topic_on_user_profiles: true,
  hide_suspension_reasons: false,
  ignored_users_count_message_threshold: 5,
  ignored_users_message_gap_days: 365,
  user_selected_primary_groups: false,
  gravatar_name: "Gravatar",
  gravatar_base_url: "www.gravatar.com",
  gravatar_login_url: "/emails",
  enable_group_directory: true,
  enable_category_group_moderation: false,
  min_post_length: 20,
  min_first_post_length: 20,
  min_personal_message_post_length: 10,
  max_post_length: 32000,
  topic_featured_link_enabled: true,
  min_topic_views_for_delete_confirm: 5000,
  min_topic_title_length: 15,
  max_topic_title_length: 255,
  enable_filtered_replies_view: false,
  min_personal_message_title_length: 2,
  allow_uncategorized_topics: true,
  min_title_similar_length: 10,
  enable_personal_messages: true,
  edit_history_visible_to_public: true,
  delete_removed_posts_after: 24,
  traditional_markdown_linebreaks: false,
  enable_markdown_typographer: true,
  enable_markdown_linkify: true,
  markdown_linkify_tlds:
    "com|net|org|io|onion|co|tv|ru|cn|us|uk|me|de|fr|fi|gov",
  markdown_typographer_quotation_marks: "“|”|‘|’",
  enable_rich_text_paste: true,
  suppress_reply_directly_below: true,
  suppress_reply_directly_above: true,
  max_reply_history: 1,
  enable_mentions: true,
  here_mention: "here",
  newuser_max_embedded_media: 1,
  newuser_max_attachments: 0,
  show_pinned_excerpt_mobile: true,
  show_pinned_excerpt_desktop: true,
  display_name_on_posts: false,
  show_time_gap_days: 7,
  short_progress_text_threshold: 10000,
  default_code_lang: "auto",
  autohighlight_all_code: false,
  highlighted_languages:
    "apache|bash|cs|cpp|css|coffeescript|diff|xml|http|ini|json|java|javascript|makefile|markdown|nginx|objectivec|ruby|perl|php|python|sql|handlebars",
  show_copy_button_on_codeblocks: false,
  enable_emoji: true,
  enable_emoji_shortcuts: true,
  emoji_set: "twitter",
  emoji_autocomplete_min_chars: 0,
  enable_inline_emoji_translation: false,
  code_formatting_style: "code-fences",
  allowed_href_schemes: "",
  watched_words_regular_expressions: false,
  enable_diffhtml_preview: false,
  enable_fast_edit: true,
  old_post_notice_days: 14,
  blur_tl0_flagged_posts_media: true,
  email_time_window_mins: 10,
  disable_digest_emails: false,
  email_in: false,
  enable_imap: false,
  enable_smtp: false,
  disable_emails: "no",
  bounce_score_threshold: 4,
  enable_secondary_emails: true,
  max_image_size_kb: 4096,
  max_attachment_size_kb: 4096,
  authorized_extensions: "jpg|jpeg|png|gif|heic|heif|webp",
  authorized_extensions_for_staff: "",
  max_image_width: 690,
  max_image_height: 500,
  prevent_anons_from_downloading_files: false,
  secure_media: false,
  enable_s3_uploads: false,
  allow_profile_backgrounds: true,
  allow_uploaded_avatars: "0",
  default_avatars: "",
  external_system_avatars_enabled: true,
  external_system_avatars_url:
    "/letter_avatar_proxy/v4/letter/{first_letter}/{color}/{size}.png",
  external_emoji_url: "",
  selectable_avatars_mode: "disabled",
  selectable_avatars: "",
  allow_staff_to_upload_any_file_in_pm: true,
  simultaneous_uploads: 5,
  composer_media_optimization_image_enabled: true,
  composer_media_optimization_image_bytes_optimization_threshold: 524288,
  composer_media_optimization_image_resize_dimensions_threshold: 1920,
  composer_media_optimization_image_resize_width_target: 1920,
  composer_media_optimization_image_resize_pre_multiply: false,
  composer_media_optimization_image_resize_linear_rgb: false,
  composer_media_optimization_image_encode_quality: 75,
  composer_media_optimization_debug_mode: false,
  min_trust_level_to_allow_profile_background: 0,
  min_trust_level_to_allow_user_card_background: 0,
  min_trust_level_to_allow_ignore: 2,
  tl1_requires_read_posts: 30,
  tl3_links_no_follow: false,
  enforce_second_factor: "no",
  moderators_change_post_ownership: false,
  moderators_view_emails: false,
  use_admin_ip_allowlist: false,
  allowed_iframes:
    "https://www.google.com/maps/embed?|https://www.openstreetmap.org/export/embed.html?|https://calendar.google.com/calendar/embed?|https://codepen.io/|https://www.instagram.com|http://localhost:3000/discobot/certificate.svg",
  can_permanently_delete: false,
  max_oneboxes_per_post: 50,
  reviewable_claiming: "disabled",
  reviewable_default_topics: false,
  reviewable_default_visibility: "low",
  alert_admins_if_errors_per_minute: 0,
  alert_admins_if_errors_per_hour: 0,
  max_prints_per_hour_per_user: 5,
  invite_link_max_redemptions_limit: 5000,
  invite_link_max_redemptions_limit_users: 10,
  enable_long_polling: true,
  enable_chunked_encoding: true,
  long_polling_base_url: "/",
  background_polling_interval: 60000,
  polling_interval: 3000,
  anon_polling_interval: 25000,
  flush_timings_secs: 60,
  verbose_localization: false,
  max_new_topics: 500,
  enable_safe_mode: true,
  tos_url: "",
  privacy_policy_url: "",
  faq_url: "",
  enable_backups: true,
  backup_location: "local",
  maximum_backups: 5,
  use_pg_headlines_for_excerpt: false,
  min_search_term_length: 3,
  log_search_queries: true,
  version_checks: true,
  suppress_uncategorized_badge: true,
  header_dropdown_category_count: 8,
  slug_generation_method: "ascii",
  summary_timeline_button: false,
  topic_views_heat_low: 1000,
  topic_views_heat_medium: 2000,
  topic_views_heat_high: 3500,
  topic_post_like_heat_low: 0.5,
  topic_post_like_heat_medium: 1,
  topic_post_like_heat_high: 2,
  history_hours_low: 12,
  history_hours_medium: 24,
  history_hours_high: 48,
  cold_age_days_low: 14,
  cold_age_days_medium: 90,
  cold_age_days_high: 180,
  global_notice: "",
  show_create_topics_notice: true,
  bootstrap_mode_min_users: 50,
  bootstrap_mode_enabled: true,
  automatically_unpin_topics: true,
  read_time_word_count: 500,
  topic_page_title_includes_category: true,
  svg_icon_subset: "",
  allow_bulk_invite: true,
  disable_mailing_list_mode: true,
  default_topics_automatic_unpin: true,
  mute_all_categories_by_default: false,
  tagging_enabled: true,
  tag_style: "simple",
  max_tags_per_topic: 5,
  max_tag_length: 20,
  min_trust_level_to_tag_topics: "0",
  max_tag_search_results: 5,
  max_tags_in_filter_list: 30,
  tags_sort_alphabetically: false,
  tags_listed_by_group: false,
  suppress_overlapping_tags_in_list: false,
  remove_muted_tags_from_latest: "always",
  force_lowercase_tags: true,
  dashboard_hidden_reports: "",
  dashboard_visible_tabs: "moderation|security|reports",
  dashboard_general_tab_activity_metrics:
    "page_view_total_reqs|visits|time_to_first_response|likes|flags|user_to_user_private_messages_with_replies",
  discourse_narrative_bot_enabled: true,
  details_enabled: true,
  custom_wizard_enabled: true,
  wizard_redirect_exclude_paths: "admin",
  wizard_recognised_image_upload_formats: "jpg|jpeg|png|gif",
  wizard_important_notices_on_dashboard: true,
  discourse_local_dates_email_format: "YYYY-MM-DDTHH:mm:ss[Z]",
  discourse_local_dates_enabled: true,
  discourse_local_dates_default_formats: "LLL|LTS|LL|LLLL",
  discourse_local_dates_default_timezones: "Europe/Paris|America/Los_Angeles",
  poll_enabled: true,
  poll_maximum_options: 20,
  poll_minimum_trust_level_to_create: 1,
  poll_groupable_user_fields: "",
  poll_export_data_explorer_query_id: -16,
  presence_enabled: true,
  presence_max_users_shown: 5,
  available_locales:
    '[{"name":"اللغة العربية","value":"ar"},{"name":"беларуская мова","value":"be"},{"name":"български език","value":"bg"},{"name":"bosanski jezik","value":"bs_BA"},{"name":"català","value":"ca"},{"name":"čeština","value":"cs"},{"name":"dansk","value":"da"},{"name":"Deutsch","value":"de"},{"name":"ελληνικά","value":"el"},{"name":"English (US)","value":"en"},{"name":"English (UK)","value":"en_GB"},{"name":"Español","value":"es"},{"name":"eesti","value":"et"},{"name":"فارسی","value":"fa_IR"},{"name":"suomi","value":"fi"},{"name":"Français","value":"fr"},{"name":"galego","value":"gl"},{"name":"עברית","value":"he"},{"name":"magyar","value":"hu"},{"name":"Հայերեն","value":"hy"},{"name":"Indonesian","value":"id"},{"name":"Italiano","value":"it"},{"name":"日本語","value":"ja"},{"name":"한국어","value":"ko"},{"name":"lietuvių kalba","value":"lt"},{"name":"latviešu valoda","value":"lv"},{"name":"Norsk bokmål","value":"nb_NO"},{"name":"Nederlands","value":"nl"},{"name":"polski","value":"pl_PL"},{"name":"Português","value":"pt"},{"name":"Português (BR)","value":"pt_BR"},{"name":"limba română","value":"ro"},{"name":"Русский","value":"ru"},{"name":"slovenčina","value":"sk"},{"name":"slovenščina","value":"sl"},{"name":"Shqip","value":"sq"},{"name":"српски језик","value":"sr"},{"name":"svenska","value":"sv"},{"name":"Kiswahili","value":"sw"},{"name":"తెలుగు","value":"te"},{"name":"ไทย","value":"th"},{"name":"Türkçe","value":"tr_TR"},{"name":"українська мова","value":"uk"},{"name":"اردو","value":"ur"},{"name":"Việt Nam","value":"vi"},{"name":"简体中文","value":"zh_CN"},{"name":"繁體中文","value":"zh_TW"}]',
  require_invite_code: false,
  site_logo_url: "http://localhost:3000/images/discourse-logo-sketch.png",
  site_logo_small_url:
    "http://localhost:3000/images/discourse-logo-sketch-small.png",
  site_mobile_logo_url:
    "http://localhost:3000/images/discourse-logo-sketch.png",
  site_favicon_url:
    "http://localhost:3000/uploads/default/optimized/1X/_129430568242d1b7f853bb13ebea28b3f6af4e7_2_32x32.png",
  site_logo_dark_url: "",
  site_logo_small_dark_url: "",
  site_mobile_logo_dark_url: "",
};
